Skip to main content
GET
cURL

Authorizations

X-API-Key
string
header
required

Path Parameters

generation_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

ID of the generation.

asset_id
string<uuid>
required

ID of the generated asset.

type
enum<string>
required

Type of generation.

Available options:
text,
image,
audio,
video,
voice,
three_d,
rich_text
status
enum<string>
required

Status of the generation.

Available options:
complete,
error,
processing,
queued,
finalizing
progress
number
required

Current progress to completion. Between 0-1

created_at
string
required

Date the generation was submitted.

error
GenerationError · object | null

Generation error if any. Value is not present unless the status of the generation is 'error' and error_message field is not present.

error_message
string | null

Error message. Value is not present unless the status of the generation is 'error'

url
string | null

URL of the generated asset.

download_url
string | null

URL to download the asset.

streaming_url
string | null

URL to stream the asset.

workspace_id
string | null

ID of the workspace this generation belongs to.